org.eclipse.jface.text.contentassist

## Interface IContentAssistantExtension4

All Known Implementing Classes:
  ContentAssistant, SubjectControlContentAssistant

    public interface IContentAssistantExtension4

Extends `IContentAssistant` with the following function:

- allows to get a handler for the given command identifier

Since:
  3.4

### Method Summary

All Methods Instance Methods Abstract Methods
`IHandler` `getHandler(String commandId)` Returns the handler for the given command identifier.

### Method Detail

#### getHandler

    IHandler getHandler(String commandId)

Returns the handler for the given command identifier.

The same handler instance will be returned when called a more than once with the same command identifier.

Parameters:
  `commandId` - the command identifier
Returns:
  the handler for the given command identifier
Throws:
  `IllegalArgumentException` - if the command is not supported by this content assistant
  `IllegalStateException` - if called when this content assistant is uninstalled